LLVM-READELF(1)

NAME
llvm-readelf - GNU-style LLVM Object Reader

SYNOPSIS

llvm-readelf [options] [input...]

DESCRIPTION

The llvm-readelf tool displays low-level format-specific information about one or more object files.

If input is "-" or omitted, llvm-readelf reads from standard input. Otherwise, it will read from the specified filenames.

OPTIONS

--all
    Equivalent to specifying all the main display options.

--addrsig
    Display the address-significance table.

--arm-attributes
    Display the ARM attributes section. Only applicable for ARM architectures.

--color
    Use colors in the output for warnings and errors.

--demangle, -C
    Display demangled symbol names in the output.

--dyn-relocations
    Display the dynamic relocation entries.

--dyn-symbols, --dyn-syms
    Display the dynamic symbol table.

--dynamic-table, --dynamic, -d
    Display the dynamic table.

--elf-cg-profile
    Display the callgraph profile section.

--elf-hash-histogram, --histogram, -I
    Display a bucket list histogram for dynamic symbol hash tables.

--elf-linker-options
    Display the linker options section.

--elf-output-style=<value>
    Format ELF information in the specified style. Valid options are LLVM and GNU. LLVM output is an expanded and structured format, whilst GNU (the default) output mimics the equivalent GNU readelf output.

--elf-section-groups, --section-groups, -g
    Display section groups.

--expand-relocs
    When used with --relocations, display each relocation in an expanded multi-line format.

--file-headers, -h
    Display file headers.

--gnu-hash-table
    Display the GNU hash table for dynamic symbols.

--hash-symbols
    Display the expanded hash table with dynamic symbol data.

--hash-table
    Display the hash table for dynamic symbols.

--headers, -e
    Equivalent to setting: --file-headers, --program-headers, and --sections.

--help
    Display a summary of command line options.

--help-list
    Display an uncategorized summary of command line options.

--hex-dump=<section[,section,...]>, -x
    Display the specified section(s) as hexadecimal bytes. section may be a section index or section name.

--needed-libs
    Display the needed libraries.

--notes, -n
    Display all notes.

--program-headers, --segments, -l
    Display the program headers.

--raw-relr
    Do not decode relocations in RELR relocation sections when displaying them.

--relocations, --relocs, -r
    Display the relocation entries in the file.

--sections, --section-headers, -S
    Display all sections.

--section-data
    When used with --sections, display section data for each section shown. This option has no effect for GNU style output.

--section-mapping
    Display the section to segment mapping.

--section-relocations
    When used with --sections, display relocations for each section shown. This option has no effect for GNU style output.

--section-symbols
    When used with --sections, display symbols for each section shown. This option has no effect for GNU style output.

--stackmap
    Display contents of the stackmap section.

--string-dump=<section[,section,...]>, -p
    Display the specified section(s) as a list of strings. section may be a section index or section name.

--symbols, --syms, -s
    Display the symbol table.

--unwind, -u
    Display unwind information.

--version
    Display the version of this program.

--version-info, -V
    Display version sections.

@<FILE>
    Read command-line options from response file <FILE>.

EXIT STATUS

llvm-readelf returns 0 under normal operation. It returns a non-zero exit code if there were any errors.

SEE ALSO

llvm-nm(1), llvm-objdump(1), llvm-readobj(1)

AUTHOR
Maintained by the LLVM Team (https://llvm.org/).

COPYRIGHT
2003-2020, LLVM Project